recognizeType.cpp File Reference
`#include "LiquidMenu.h"`

## Functions

DataType | recognizeType (bool variable)
DataType | recognizeType (char variable)
DataType | recognizeType (char *variable)
DataType | recognizeType (const char *variable)
DataType | recognizeType (int8_t variable)
DataType | recognizeType (uint8_t variable)
DataType | recognizeType (int16_t variable)
DataType | recognizeType (uint16_t variable)
DataType | recognizeType (int32_t variable)
DataType | recognizeType (uint32_t variable)
DataType | recognizeType (float variable)
DataType | recognizeType (double variable)
DataType | recognizeType (boolFnPtr variable)
DataType | recognizeType (int8tFnPtr variable)
DataType | recognizeType (uint8tFnPtr variable)
DataType | recognizeType (int16tFnPtr variable)
DataType | recognizeType (uint16tFnPtr variable)
DataType | recognizeType (int32tFnPtr variable)
DataType | recognizeType (uint32tFnPtr variable)
DataType | recognizeType (floatFnPtr variable)
DataType | recognizeType (doubleFnPtr variable)
DataType | recognizeType (charFnPtr variable)
DataType | recognizeType (charPtrFnPtr variable)
DataType | recognizeType (constcharPtrFnPtr variable)

## Detailed Description

Contains the overloaded functions DataType recognizeType(... variable); for LiquidMenu library.

## Function Documentation

## recognizeType() [1/24]

DataType recognizeType | ( | bool | variable | ) |

Used to recognize the data type of a variable received in a template function.

See also
  DataType

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [2/24]

DataType recognizeType | ( | char | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [3/24]

DataType recognizeType | ( | char * | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [4/24]

DataType recognizeType | ( | const char * | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [5/24]

DataType recognizeType | ( | int8_t | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [6/24]

DataType recognizeType | ( | uint8_t | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [7/24]

DataType recognizeType | ( | int16_t | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [8/24]

DataType recognizeType | ( | uint16_t | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [9/24]

DataType recognizeType | ( | int32_t | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [10/24]

DataType recognizeType | ( | uint32_t | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [11/24]

DataType recognizeType | ( | float | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [12/24]

DataType recognizeType | ( | double | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [13/24]

DataType recognizeType | ( | boolFnPtr | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [14/24]

DataType recognizeType | ( | int8tFnPtr | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [15/24]

DataType recognizeType | ( | uint8tFnPtr | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [16/24]

DataType recognizeType | ( | int16tFnPtr | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [17/24]

DataType recognizeType | ( | uint16tFnPtr | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [18/24]

DataType recognizeType | ( | int32tFnPtr | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [19/24]

DataType recognizeType | ( | uint32tFnPtr | varible | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [20/24]

DataType recognizeType | ( | floatFnPtr | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [21/24]

DataType recognizeType | ( | doubleFnPtr | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [22/24]

DataType recognizeType | ( | charFnPtr | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [23/24]

DataType recognizeType | ( | charPtrFnPtr | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format

## recognizeType() [24/24]

DataType recognizeType | ( | constcharPtrFnPtr | variable | ) |

Parameters

  variable | - variable to be checked

Returns
  the data type in `DataType` enum format